Create broadcast
curl --request POST \
--url https://api.heyy.io/v2/{channelId}/broadcasts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isScheduled": true,
"scheduledAt": "2023-11-07T05:31:56Z",
"isReoccurring": true,
"recurrenceRules": [
"<string>"
],
"messageTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"attributes": [
{
"externalId": "<string>",
"value": "<string>"
}
],
"labels": [
{
"name": "<string>"
}
]
}
],
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.heyy.io/v2/{channelId}/broadcasts"
payload = {
"name": "<string>",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isScheduled": True,
"scheduledAt": "2023-11-07T05:31:56Z",
"isReoccurring": True,
"recurrenceRules": ["<string>"],
"messageTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"attributes": [
{
"externalId": "<string>",
"value": "<string>"
}
],
"labels": [{ "name": "<string>" }]
}
],
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
workflowId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
isScheduled: true,
scheduledAt: '2023-11-07T05:31:56Z',
isReoccurring: true,
recurrenceRules: ['<string>'],
messageTemplateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contacts: [
{
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phoneNumber: '<string>',
attributes: [{externalId: '<string>', value: '<string>'}],
labels: [{name: '<string>'}]
}
],
variables: [{name: '<string>', value: '<string>'}]
})
};
fetch('https://api.heyy.io/v2/{channelId}/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "string",
"name": "string",
"workflowId": "string",
"isScheduled": true,
"isReoccurring": true,
"scheduledAt": "string",
"recurrenceRules": null,
"variables": null,
"status": "string",
"createdAt": "string",
"updatedAt": "string"
}
}Broadcast
Create broadcast
POST
/
{channelId}
/
broadcasts
Create broadcast
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Was this page helpful?
⌘I